Free access to Hytale server data. Read-only, no authentication required.
https://hytale.surf/api/v1Get a paginated list of servers with search and sorting.
page integer 1 Page number limit integer 20 Results per page (max 100) q string โ Search query (up to 100 chars) tag string โ Filter by tag (e.g. PVP, SURVIVAL) sort string default Sort: default, players, votes curl "https://hytale.surf/api/v1/servers?page=1&limit=5&sort=players"{
"data": [
{
"id": "a1b2c3d4e5f6",
"name": "My Hytale Server",
"ip": "play.example.com",
"shortDescription": "A great server!",
"players": 42,
"maxPlayers": 100,
"online": true,
"country": "US",
"votes": 120,
"tags": ["PVP", "SURVIVAL"],
...
}
],
"meta": {
"page": 1,
"limit": 5,
"total": 1129,
"totalPages": 226
}
}400 Invalid request parameters404 Server not found429 Rate limit exceeded (60/min)500 Internal server error